<nav class="navbar navbar-expand-lg navbar-light bg-dark border-bottom">
	<h2 class="page-title text-light">Addresses</h2>
</nav>

<div class="container-fluid">
	<div class="py-3 float-left search">
		<input type="text" class="form-control search-input" [(ngModel)]="idToSearch" placeholder="Search by id">
	</div>
	<div class="py-3 mx-3 float-left search">
		<a (click)="searchById(idToSearch)" class="pl-3 btn btn-primary text-light">Search</a>
	</div>
	<div class="py-3 mr-3 float-left search">
		<a (click)="clearSearch()" class="pl-3 btn btn-danger text-light">Clear</a>
	</div>

	<div>
		<table class="table table-bordered">
			<thead class="thead-dark">
				<tr>
					<th>Id</th>
					<th>Post code</th>
					<th>City</th>
					<th>Street</th>
					<th>House Number</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody *ngIf="addresses">
				<tr *ngFor="let address of addresses">
					<td>{{ address.id }}</td>
					<td>{{ address.postCode }}</td>
					<td>{{ address.city }}</td>
					<td>{{ address.street }}</td>
					<td>{{ address.streetNum }}</td>
					<td>
						<a style="cursor: pointer;" (click)="editAddress(address)">
							<clr-icon shape="note" size="30"></clr-icon>
						</a>
						<a style="cursor: pointer;" (click)="removeAddress(address)">
							<clr-icon shape="trash" size="30"></clr-icon>
						</a>
					</td>
				</tr>
			</tbody>
		</table>

		<h4 class="form-group">Add/Edit Address</h4>
		<form class="w-75" (ngSubmit)="submitAddress()">
			<div class="form-group row">
				<label for="postCode" class="col-sm-2 col-form-label">Post code</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="postCode" [(ngModel)]="addressForm.postCode" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="city" class="col-sm-2 col-form-label">City</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="city" [(ngModel)]="addressForm.city" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="street" class="col-sm-2 col-form-label">Street</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="street" [(ngModel)]="addressForm.street" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="streetNum" class="col-sm-2 col-form-label">House number</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="streetNum" [(ngModel)]="addressForm.streetNum" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<button type="submit" class="btn btn-primary">Submit</button>
			<a (click)="clearForm()" class="m-3 btn btn-danger text-light" [ngClass]="{'disabled': disabled}">Cancel edit</a>
		</form>
	</div>
</div>